## Index

### References

- default

### Classes

- Human

### Interfaces

- BodyConfig
- BodyResult
- Config
- DrawOptions
- FaceConfig
- FaceDescriptionConfig
- FaceDetectorConfig
- FaceEmotionConfig
- FaceIrisConfig
- FaceMeshConfig
- FaceResult
- FilterConfig
- GestureConfig
- HandConfig
- HandResult
- ObjectConfig
- ObjectResult
- PersonResult
- Result
- SegmentationConfig

### Type aliases

- Error
- Events
- GestureResult
- Input
- TensorFlow

### Variables

- defaults
- env

## References

### default

Renames and exports Human

## Type aliases

### Error

Error: { error: string }

- Defined in human.ts:56

Error message

#### Type declaration

- ##### error: string

### Events

Events: "create" | "load" | "image" | "result" | "warmup"

- Defined in human.ts:51

Events dispatched by `human.events`

- `create`: triggered when Human object is instantiated
- `load`: triggered when models are loaded (explicitly or on-demand)
- `image`: triggered when input image is this.processed
- `result`: triggered when detection is complete
- `warmup`: triggered when warmup is complete

### GestureResult

GestureResult: { face: number; gesture: FaceGesture } | { gesture: IrisGesture; iris: number } | { body: number; gesture: BodyGesture } | { gesture: HandGesture; hand: number }

- Defined in result.ts:142

Gesture results

### Input

Input: Tensor | ImageData | ImageBitmap | HTMLImageElement | HTMLMediaElement | HTMLVideoElement | HTMLCanvasElement | OffscreenCanvas

- Defined in human.ts:42

Defines all possible input types for Human detection

### TensorFlow

TensorFlow: typeof tf

- Defined in human.ts:61

Instance of TensorFlow/JS

external

## Variables

### Const defaults

defaults: Config = ...

- Defined in config.ts:248

See all default Config values...

### Const env

env: Env = ...

- Defined in env.ts:36